import { getCurrentInstance, useSSRContext } from "vue";
import { getMultiCacheRouteHelper } from "./../helpers/server.mjs";
export function useRouteCache(cb, providedEvent) {
  if (process.client) {
    return;
  }
  const event = (() => {
    if (providedEvent) {
      return providedEvent;
    }
    if (!getCurrentInstance()) {
      return;
    }
    const ssrContext = useSSRContext();
    if (ssrContext) {
      return ssrContext.event;
    }
  })();
  if (!event) {
    return;
  }
  const helper = getMultiCacheRouteHelper(event);
  if (!helper) {
    return;
  }
  cb(helper);
}
