import { defineEventHandler } from "h3";
import {
  MULTI_CACHE_CONTEXT_KEY,
  MULTI_CACHE_ROUTE_CONTEXT_KEY,
  MULTI_CACHE_PREFIX_KEY
} from "./../helpers/server";
import { NuxtMultiCacheRouteCacheHelper } from "./../helpers/RouteCacheHelper.mjs";
import { loadCacheContext } from "./helpers/storage.mjs";
import serverOptions from "#multi-cache-server-options";
export function addCacheContext(event) {
  const cacheContext = loadCacheContext();
  event.context[MULTI_CACHE_CONTEXT_KEY] = cacheContext;
  event.context[MULTI_CACHE_ROUTE_CONTEXT_KEY] = new NuxtMultiCacheRouteCacheHelper();
}
export default defineEventHandler(async (event) => {
  if (serverOptions.cacheKeyPrefix) {
    if (typeof serverOptions.cacheKeyPrefix === "string") {
      event.context[MULTI_CACHE_PREFIX_KEY] = serverOptions.cacheKeyPrefix;
    } else {
      event.context[MULTI_CACHE_PREFIX_KEY] = await serverOptions.cacheKeyPrefix(event);
    }
  }
  if (!serverOptions.enabledForRequest) {
    return addCacheContext(event);
  }
  const shouldAdd = await serverOptions.enabledForRequest(event);
  if (shouldAdd) {
    await addCacheContext(event);
  }
});
